## geary 3.32.0

=== debian/changelog ===
geary (3.32.0-1ubuntu1) eoan; urgency=medium

  * debian/patches/git_new_webkit.patch:
    - backport a patch to fix issues with the new webkitgtk version
  * debian/rules:
    - skip tests on s390x, webkitgtk is buggy there
      (lp: #1843524)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 19 Sep 2019 15:28:17 +0200

geary (3.32.0-1) experimental; urgency=medium

  * New upstream release
  * Build-Depend on libfolks-dev
  * Build-Depend on appstream-util for build tests

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 17 Mar 2019 10:03:17 -0400

geary (0.13.1-1) experimental; urgency=medium

  * New upstream release
  * Drop all patches: applied in new release

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 21 Feb 2019 00:07:52 -0500

geary (0.13.0-2) experimental; urgency=medium

  * Cherry-pick 2 commits that make libunwind optional
  * Only use libunwind on architectures where it is built

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 20 Feb 2019 15:09:33 -0500

geary (0.13.0-1) experimental; urgency=medium

  * New upstream development release
  * Build with meson
  * Bump minimum libglib2.0-dev to 2.54 and libgtk-3-dev to 3.22.26
  * Add Build-Depends on libgoa-1.0-dev, libjson-glib-dev, libunwind-dev
    and iso-codes
  * Use xvfb for dh_auto_test
  * Drop all patches: applied in new release

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 17 Feb 2019 14:42:25 -0500

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: geary
Section: mail
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>
Build-Depends: debhelper (>= 11),
               appstream-util <!nocheck>,
               desktop-file-utils <!nocheck>,
               gnome-doc-utils,
               gnome-pkg-tools,
               iso-codes,
               itstool,
               libcanberra-dev (>= 0.28),
               libenchant-dev (>= 1.6),
               libfolks-dev (>= 0.11),
               libgcr-3-dev (>= 3.10.1),
               libgee-0.8-dev (>= 0.8.5),
               libgirepository1.0-dev (>= 1.32.0),
               libglib2.0-dev (>= 2.54),
               libgmime-2.6-dev (>= 2.6.14),
               libgoa-1.0-dev,
               libgtk-3-dev (>= 3.22.26),
               libjson-glib-dev (>= 1.0),
               firmware-linux-free | libmessaging-menu-dev,
               firmware-linux-free | libunity-dev,
               libnotify-dev (>= 0.7.5),
               libsecret-1-dev (>= 0.11),
               libsqlite3-dev (>= 3.7.4),
               libunwind-dev (>= 1.1) [amd64 arm64 armel armhf hppa i386 ia64 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el sh4],
               libwebkit2gtk-4.0-dev (>= 2.22),
               libxml2-dev (>= 2.7.8),
               meson (>= 0.43),
               valac (>= 0.22.1),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.3.0
X-Ubuntu-Use-Langpack: yes
Homepage: https://wiki.gnome.org/Apps/Geary
Vcs-Git: https://salsa.debian.org/gnome-team/geary.git
Vcs-Browser: https://salsa.debian.org/gnome-team/geary

Package: geary
Architecture: any
Depends: gnome-keyring | kwalletmanager, ${misc:Depends}, ${shlibs:Depends}
Description: lightweight email client designed for the GNOME desktop
 Geary is an email reader for GNOME designed to let you read your email
 quickly and effortlessly. Its interface is based on conversations, so you
 can easily read an entire discussion without having to click from message
 to message.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

ifeq (,$(findstring $(DEB_HOST_ARCH), amd64 arm64 armel armhf hppa i386 ia64 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el sh4))
	BUILD_UNWIND += -Dlibunwind_optional=true
endif

%:
	dh $@ --with gnome --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- $(BUILD_UNWIND)

override_dh_auto_test:
ifeq (,$(filter s390x,$(DEB_HOST_ARCH)))
	xvfb-run -a dh_auto_test
else
	echo 'webkit is buggy on s390x (lp: #1843524)'
endif

## geary 3.34.1

=== Makefile ===
#
# Copyright 2016 Software Freedom Conservancy Inc.
#

# This Makefile is for developer convenience, and is optimised for
# development work, not production. Packagers should invoke meson and
# ninja directly. See INSTALL for further information.

CONFIGURE := meson \
	--buildtype debug \
	--warnlevel 3 \
	-Dvaladoc=true \
	-Dref_tracking=true
MAKE := ninja

BUILD_DIR := build
BINARIES := geary geary-console geary-mailer

BUILD_ARTIFACTS := \
	$(BUILD_DIR)/src/geary \
	$(BUILD_DIR)/src/console/geary-console \
	$(BUILD_DIR)/src/mailer/geary-mailer \
	$(BUILD_DIR)/src/valadoc

.DEFAULT: all

.PHONY: all
all: compile $(BINARIES)

.PHONY: verbose
verbose: compile-verbose $(BINARIES)

.PHONY: compile
compile: $(BUILD_DIR)
	@$(MAKE) -C $(BUILD_DIR)

.PHONY: compile-verbose
compile-verbose: $(BUILD_DIR)
	@$(MAKE) -C $(BUILD_DIR) -v

.PHONY: install
install: compile
	@$(MAKE) -C $(BUILD_DIR) $@

.PHONY: uninstall
uninstall: compile
	@$(MAKE) -C $(BUILD_DIR) $@

.PHONY: geary-pot
geary-pot: compile
	@$(MAKE) -C $(BUILD_DIR) $@

# Keep the olde rule For compatibility
.PHONY: pot_file
pot_file: geary-pot

.PHONY: clean
clean: $(BUILD_DIR)
	@-$(MAKE) -C $(BUILD_DIR) $@

.PHONY: distclean
distclean:
	@-rm -rf $(BUILD_DIR)
	@-rm -rf $(BINARIES)
	@-rm -rf valadoc
	@-rm -f po/geary.pot

.PHONY: test
test: $(BUILD_DIR)
	@$(MAKE) -C $(BUILD_DIR) $@

.PHONY: test-engine
test-engine: $(BUILD_DIR)
	cd $(BUILD_DIR) && meson test engine-tests

.PHONY: test-client
test-client: $(BUILD_DIR)
	cd $(BUILD_DIR) && meson test client-tests

.PHONY: dist
dist: test
	@$(MAKE) -C $(BUILD_DIR) $@
	@cp -v $(BUILD_DIR)/meson-dist/*.xz* ..

# The rest of these are actual files

$(BUILD_DIR):
	@$(CONFIGURE) $@

valadoc: $(BUILD_DIR)/src/valadoc
	cp -r $< .

geary: $(BUILD_DIR)/src/geary
	cp $< .

geary-console: $(BUILD_DIR)/src/console/geary-console
	cp $< .

geary-mailer: $(BUILD_DIR)/src/mailer/geary-mailer
	cp $< .

$(BUILD_ARTIFACTS): compile

=== meson_options.txt ===
option('valadoc', type: 'boolean', value: false, description: 'Whether to build the documentaton (requires valadoc).')
option('contractor', type: 'boolean', value: false, description: 'Whether to install the contractor file (Elementary OS-specific).')
option('poodle', type: 'boolean', value: true, description: 'Whether to apply the POODLE SSLv3 fix.')
option('ref_tracking', type: 'boolean', value: false, description: 'Whether to use explicit reference tracking.')
option('iso_639_xml', type: 'string', value: '', description: 'Full path to the ISO 639 XML file.')
option('iso_3166_xml', type: 'string', value: '', description: 'Full path to the ISO 3166 XML file.')
option('libunwind_optional', type: 'boolean', value: false, description: 'Determines if libunwind is required.')
option('tnef-support', type: 'boolean', value: true, description: 'Whether to support TNEF attachments (requires libytnef).')
option(
  'profile',
  type: 'combo',
  value: 'default',
  choices: ['default','development','beta'],
  description: 'Specifies the application type to be built'
)

=== debian/changelog ===
geary (3.34.1-4~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * Relax/Bump dependencies to build in buster-backports

 -- Pirate Praveen <praveen@debian.org>  Sat, 19 Oct 2019 20:40:38 +0530

geary (3.34.1-4) unstable; urgency=medium

  * Release to unstable (Closes: #940005, #940997, #934754)

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 12 Oct 2019 09:33:18 -0400

geary (3.34.1-3) experimental; urgency=medium

  * Update patch to increase timeout for client tests, not engine tests

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 12 Oct 2019 08:47:11 -0400

geary (3.34.1-2) experimental; urgency=medium

  [ Michael Gratton ]
  * Add Bump-engine-test-timeout-to-300s.patch:
    - Increase engine test timeout so tests pass on slower Debian builders

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 11 Oct 2019 02:42:39 -0400

geary (3.34.1-1) experimental; urgency=medium

  * New upstream release
  * Add subprojects/ to Files-Excluded to avoid code copying
  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Build-Depend on dh-sequence-gnome instead of gnome-pkg-tools
  * Build-Depend on libappstream-glib-dev, libgspell-1-dev, & libhandy-0.0-dev
  * Build-Depend on libytnef0-dev
  * Drop obsolete Build-Depends on libnotify-dev
  * Bump minimum meson to 0.50, GTK3 to 3.24.7, & webkit2gtk to 2.24

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 08 Oct 2019 22:22:38 -0400

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,14 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                appstream-util <!nocheck>,
                desktop-file-utils <!nocheck>,
+               dh-sequence-gnome,
                gnome-doc-utils,
-               gnome-pkg-tools,
                iso-codes,
                itstool,
+               libappstream-glib-dev (>= 0.7.10),
                libcanberra-dev (>= 0.28),
                libenchant-dev (>= 1.6),
                libfolks-dev (>= 0.11),
@@ -22,19 +23,21 @@
                libgirepository1.0-dev (>= 1.32.0),
                libglib2.0-dev (>= 2.54),
                libgmime-2.6-dev (>= 2.6.14),
+               libgspell-1-dev,
                libgoa-1.0-dev,
-               libgtk-3-dev (>= 3.22.26),
+               libgtk-3-dev (>= 3.24.5),
+               libhandy-0.0-dev (>= 0.0.9),
                libjson-glib-dev (>= 1.0),
-               firmware-linux-free | libmessaging-menu-dev,
-               firmware-linux-free | libunity-dev,
-               libnotify-dev (>= 0.7.5),
+               firmware-linux-free | libmessaging-menu-dev (>= 12.0),
+               firmware-linux-free | libunity-dev (>= 5.12.0),
                libsecret-1-dev (>= 0.11),
                libsqlite3-dev (>= 3.7.4),
                libunwind-dev (>= 1.1) [amd64 arm64 armel armhf hppa i386 ia64 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el sh4],
-               libwebkit2gtk-4.0-dev (>= 2.22),
+               libwebkit2gtk-4.0-dev (>= 2.24~),
                libxml2-dev (>= 2.7.8),
-               meson (>= 0.43),
-               valac (>= 0.22.1),
+               libytnef0-dev (>= 1.9.3),
+               meson (>= 0.49.2),
+               valac (>= 0.46.3~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Standards-Version: 4.3.0

=== debian/rules ===
--- 
+++ 
@@ -8,15 +8,10 @@
 endif
 
 %:
-	dh $@ --with gnome --buildsystem=meson
+	dh $@ --buildsystem=meson
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(BUILD_UNWIND)
 
 override_dh_auto_test:
-ifeq (,$(filter s390x,$(DEB_HOST_ARCH)))
 	xvfb-run -a dh_auto_test
-else
-	echo 'webkit is buggy on s390x (lp: #1843524)'
-endif
-

## geary 3.34.2

=== debian/changelog ===
geary (3.34.2-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * debian/watch: Watch for stable releases

  [ Andreas Henriksson ]
  * Drop leftover gnome-doc-utils build-dependency

  [ Laurent Bigonville ]
  * debian/control.in: Switch to enchant-2 now that's in the archive
  * debian/control.in: Bump Standards-Version to 4.4.1 (no further changes)
  * debian/copyright: Upstream is not shipping a debian/ directory anymore,
    removed obsolete Files-Excluded
  * New upstream release

 -- Laurent Bigonville <bigon@debian.org>  Thu, 23 Jan 2020 12:39:53 +0100

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,16 @@
 Section: mail
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 12),
                appstream-util <!nocheck>,
                desktop-file-utils <!nocheck>,
                dh-sequence-gnome,
-               gnome-doc-utils,
                iso-codes,
                itstool,
                libappstream-glib-dev (>= 0.7.10),
                libcanberra-dev (>= 0.28),
-               libenchant-dev (>= 1.6),
+               libenchant-2-dev (>= 2.1),
                libfolks-dev (>= 0.11),
                libgcr-3-dev (>= 3.10.1),
                libgee-0.8-dev (>= 0.8.5),
@@ -25,7 +24,7 @@
                libgmime-2.6-dev (>= 2.6.14),
                libgspell-1-dev,
                libgoa-1.0-dev,
-               libgtk-3-dev (>= 3.24.5),
+               libgtk-3-dev (>= 3.24.7),
                libhandy-0.0-dev (>= 0.0.9),
                libjson-glib-dev (>= 1.0),
                firmware-linux-free | libmessaging-menu-dev (>= 12.0),
@@ -33,14 +32,14 @@
                libsecret-1-dev (>= 0.11),
                libsqlite3-dev (>= 3.7.4),
                libunwind-dev (>= 1.1) [amd64 arm64 armel armhf hppa i386 ia64 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el sh4],
-               libwebkit2gtk-4.0-dev (>= 2.24~),
+               libwebkit2gtk-4.0-dev (>= 2.24),
                libxml2-dev (>= 2.7.8),
                libytnef0-dev (>= 1.9.3),
-               meson (>= 0.49.2),
-               valac (>= 0.46.3~),
+               meson (>= 0.50),
+               valac (>= 0.22.1),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 X-Ubuntu-Use-Langpack: yes
 Homepage: https://wiki.gnome.org/Apps/Geary
 Vcs-Git: https://salsa.debian.org/gnome-team/geary.git

## geary 3.36.1

=== meson_options.txt ===
#
# General build options
#
option(
  'contractor',
  type: 'boolean',
  value: false,
  description: 'Whether to install the contractor file (Elementary OS-specific).'
)
option(
  'iso_639_xml',
  type: 'string',
  value: '',
  description: 'Full path to the ISO 639 XML file.'
)
option(
  'iso_3166_xml',
  type: 'string',
  value: '',
  description: 'Full path to the ISO 3166 XML file.'
)
option(
  'libunwind_optional',
  type: 'boolean',
  value: false,
  description: 'Determines if libunwind is required.'
)
option(
  'poodle',
  type: 'boolean',
  value: true,
  description: 'Whether to apply the POODLE SSLv3 fix.'
)
option(
  'tnef-support',
  type: 'boolean',
  value: true,
  description: 'Whether to support TNEF attachments (requires libytnef).'
)
option(
  'valadoc',
  type: 'boolean',
  value: false,
  description: 'Whether to build the documentaton (requires valadoc).'
)

# Development options
option(
  'profile',
  type: 'combo',
  value: 'default',
  choices: ['default','development','beta'],
  description: 'Specifies the application type to be built'
)
option(
  'ref_tracking',
  type: 'boolean',
  value: false,
  description: 'Whether to use explicit reference tracking.'
)

=== debian/changelog ===
geary (3.36.1-1) unstable; urgency=medium

  * New upstream release
  * most patches already adopted upstream
  * ensure client library lives in dedicated location
  * avoid embedding git description in built binary

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sun, 29 Mar 2020 23:54:52 -0400

geary (3.36.0-2) unstable; urgency=medium

  * try to fix memory overallocation on 64-bit BE arches
  * avoid linking to libytnef on s390x as well

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 16 Mar 2020 21:06:07 -0400

geary (3.36.0-1) unstable; urgency=medium

  * New upstream release
  * move back to debian/master branch (release to unstable)
  * refresh patches
  * Fix Avatar test on powerpc
  * drop unused lintian-overrides
  * disable ytnef on powerpc

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sat, 14 Mar 2020 02:09:52 -0400

geary (3.35.90-3) experimental; urgency=medium

  * Test suite should run with LC_COLLATE=en_US.UTF-8

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 06 Mar 2020 18:12:54 -0500

geary (3.35.90-2) experimental; urgency=medium

  * added a build-dep on locales for the test suite

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 03 Mar 2020 17:52:14 -0500

geary (3.35.90-1) experimental; urgency=medium

  [ Pirate Praveen ]
  * Update minimum version of valac to 0.46.3

  [ Daniel Kahn Gillmor ]
  * New upstream development release to experimental
  * update build-dependencies to include gmime 3.0 and libpeas
    (Closes: #867349)
  * update build-dependencies, tracking upstream meson.build
  * d/copyright: drop Files-Excluded (upstream no longer ships a copy of
    libhandy)
  * Rules-Requires-Root: no
  * Standards-Version: bump to 4.5.0 (no changes needed)
  * override unnecessary lintian warnings for source
  * add superficial "version" autopkgtest
  * clean up python cache during build
  * add Provides: imap-client, mail-reader (Closes: #928036)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 02 Mar 2020 15:42:53 -0500

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: geary
Section: mail
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Daniel Kahn Gillmor <dkg@fifthhorseman.net>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
Build-Depends: debhelper-compat (= 12),
               appstream-util <!nocheck>,
               desktop-file-utils <!nocheck>,
               dh-sequence-gnome,
               iso-codes,
               itstool,
               libappstream-glib-dev (>= 0.7.10),
               libenchant-2-dev (>= 2.1),
               libfolks-dev (>= 0.11),
               libgcr-3-dev (>= 3.10.1),
               libgee-0.8-dev (>= 0.8.5),
               libgirepository1.0-dev (>= 1.32.0),
               libglib2.0-dev (>= 2.60.4),
               libgmime-3.0-dev (>= 3.2.4),
               libgspell-1-dev,
               libgoa-1.0-dev,
               libgtk-3-dev (>= 3.24.7),
               libhandy-0.0-dev (>= 0.0.10),
               libjson-glib-dev (>= 1.0),
               libpeas-dev (>= 1.24.0),
               firmware-linux-free | libmessaging-menu-dev (>= 12.10),
               libsecret-1-dev (>= 0.11),
               libsqlite3-dev (>= 3.24),
               libunwind-dev (>= 1.1) [amd64 arm64 armel armhf hppa i386 ia64 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el sh4],
               libwebkit2gtk-4.0-dev (>= 2.26),
               libxml2-dev (>= 2.7.8),
               libytnef0-dev (>= 1.9.3),
               localehelper <!nocheck>,
               locales <!nocheck>,
               meson (>= 0.50),
               valac (>= 0.46.3),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.5.0
X-Ubuntu-Use-Langpack: yes
Provides: mail-reader, imap-client
Homepage: https://wiki.gnome.org/Apps/Geary
Vcs-Git: https://salsa.debian.org/gnome-team/geary.git
Vcs-Browser: https://salsa.debian.org/gnome-team/geary
Rules-Requires-Root: no

Package: geary
Architecture: any
Depends: gnome-keyring | kwalletmanager, ${misc:Depends}, ${shlibs:Depends}
Description: lightweight email client designed for the GNOME desktop
 Geary is an email reader for GNOME designed to let you read your email
 quickly and effortlessly. Its interface is based on conversations, so you
 can easily read an entire discussion without having to click from message
 to message.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/vendor.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

ifeq (,$(findstring $(DEB_HOST_ARCH), amd64 arm64 armel armhf hppa i386 ia64 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el sh4))
	BUILD_UNWIND += -Dlibunwind_optional=true
endif
# see https://gitlab.gnome.org/GNOME/geary/issues/726:
ifneq (,$(filter $(DEB_HOST_ARCH), powerpc s390x))
	DISABLE_YTNEF += -Dtnef-support=false
endif

%:
	dh $@ --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- $(BUILD_UNWIND) $(DISABLE_YTNEF) -Drevno=$(DEB_VENDOR)/$(DEB_VERSION)

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	localehelper LC_COLLATE=en_US.UTF-8 xvfb-run -a dh_auto_test
endif

override_dh_shlibdeps:
	dh_shlibdeps -l/usr/lib/$(DEB_HOST_MULTIARCH)/geary

override_dh_makeshlibs:
	dh_makeshlibs --no-scripts

=== debian/tests/control ===
Tests: version
Depends:
 geary,
Restrictions:
 superficial,

## geary 3.38.0.1

=== debian/changelog ===
geary (3.38.0.1-3) unstable; urgency=medium

  * Updated the list of documentation files to install

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 17 Sep 2020 10:09:06 +0200

geary (3.38.0.1-2) unstable; urgency=medium

  * debian/control.in: the tests also require librsvg

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 16 Sep 2020 21:25:31 +0200

geary (3.38.0.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in:
    - Build-Depends on gnutls-bin required for the tests
    - build using libgsound-dev
    - updated libglib, libhandy, valac requirements
  * debian/rules:
    - strip Ubuntu -Bsymbolic-functions, the tests are failing otherwise

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 16 Sep 2020 13:50:29 +0200

geary (3.36.2-1) unstable; urgency=medium

  * New upstream release
  * drop patches adopted upstream, refresh remaining patch
  * drop --as-needed from linker flags (no longer needed in bullseye)
  * move to debhelper 13

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 04 May 2020 14:39:26 -0400

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,9 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Daniel Kahn Gillmor <dkg@fifthhorseman.net>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                appstream-util <!nocheck>,
+               gnutls-bin <!nocheck>,
                desktop-file-utils <!nocheck>,
                dh-sequence-gnome,
                iso-codes,
@@ -19,14 +20,16 @@
                libgcr-3-dev (>= 3.10.1),
                libgee-0.8-dev (>= 0.8.5),
                libgirepository1.0-dev (>= 1.32.0),
-               libglib2.0-dev (>= 2.60.4),
+               libglib2.0-dev (>= 2.64),
                libgmime-3.0-dev (>= 3.2.4),
+               libgsound-dev,
                libgspell-1-dev,
                libgoa-1.0-dev,
                libgtk-3-dev (>= 3.24.7),
-               libhandy-0.0-dev (>= 0.0.10),
+               libhandy-1-dev (>= 0.90.0),
                libjson-glib-dev (>= 1.0),
                libpeas-dev (>= 1.24.0),
+               librsvg2-common <!nocheck>,
                firmware-linux-free | libmessaging-menu-dev (>= 12.10),
                libsecret-1-dev (>= 0.11),
                libsqlite3-dev (>= 3.24),
@@ -37,7 +40,7 @@
                localehelper <!nocheck>,
                locales <!nocheck>,
                meson (>= 0.50),
-               valac (>= 0.46.3),
+               valac (>= 0.48.6),
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Standards-Version: 4.5.0

## geary 3.38.1

=== meson_options.txt ===
--- 
+++ 
@@ -26,12 +26,6 @@
   description: 'Determines if libunwind is required.'
 )
 option(
-  'poodle',
-  type: 'boolean',
-  value: true,
-  description: 'Whether to apply the POODLE SSLv3 fix.'
-)
-option(
   'tnef-support',
   type: 'boolean',
   value: true,
@@ -41,7 +35,7 @@
   'valadoc',
   type: 'boolean',
   value: false,
-  description: 'Whether to build the documentaton (requires valadoc).'
+  description: 'Whether to build the documentation (requires valadoc).'
 )
 
 # Development options
@@ -58,3 +52,8 @@
   value: false,
   description: 'Whether to use explicit reference tracking.'
 )
+option(
+  'revno',
+  type: 'string',
+  description: 'Custom revision string (default extracted from "git describe")'
+)

=== debian/changelog ===
geary (3.38.1-1) unstable; urgency=medium

  * New upstream release (Closes: #972520, #970933)
  * debian/control.in: The Provides stanza must be in the binary package part,
    not the source one

 -- Laurent Bigonville <bigon@debian.org>  Sat, 12 Dec 2020 16:35:37 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: mail
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Daniel Kahn Gillmor <dkg@fifthhorseman.net>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                appstream-util <!nocheck>,
                gnutls-bin <!nocheck>,
@@ -45,7 +45,6 @@
                xvfb <!nocheck>,
 Standards-Version: 4.5.0
 X-Ubuntu-Use-Langpack: yes
-Provides: mail-reader, imap-client
 Homepage: https://wiki.gnome.org/Apps/Geary
 Vcs-Git: https://salsa.debian.org/gnome-team/geary.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/geary
@@ -54,6 +53,7 @@
 Package: geary
 Architecture: any
 Depends: gnome-keyring | kwalletmanager, ${misc:Depends}, ${shlibs:Depends}
+Provides: mail-reader, imap-client
 Description: lightweight email client designed for the GNOME desktop
  Geary is an email reader for GNOME designed to let you read your email
  quickly and effortlessly. Its interface is based on conversations, so you

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,10 @@
 include /usr/share/dpkg/vendor.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
+
+# needed with the Ubuntu toolchain to avoid issues
+export DEB_LDFLAGS_MAINT_STRIP := -Wl,-Bsymbolic-functions
 
 ifeq (,$(findstring $(DEB_HOST_ARCH), amd64 arm64 armel armhf hppa i386 ia64 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el sh4))
 	BUILD_UNWIND += -Dlibunwind_optional=true

## geary 3.38.2

=== debian/changelog ===
geary (3.38.2-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 01 Mar 2021 17:35:35 +0100

## geary 40.0

=== debian/changelog ===
geary (40.0-2) unstable; urgency=medium

  [ Laurent Bigonville ]
  * d/p/Bump-client-test-timeout-to-300s.patch: Increase the timeout for the
    engine-tests test too
  * debian/control.in: Bump valac BD to 0.48.11

  [ Jeremy Bicha ]
  * Add patch to support GNOME 42 dark theme preference
  * Cherry-pick 2 patches to fix build with latest vala
  * debian/control.in: Bump minimum libhandy to 1.5.90 for the dark theme pref

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 15 Feb 2022 08:58:09 -0500

geary (40.0-1) unstable; urgency=medium

  * New upstream release (Closes: #987600)
    - Adjust the build-dependencies and configure options
    - debian/patches/Bump-client-test-timeout-to-300s.patch: Refreshed
  * debian/watch: Updated to follow new version scheme
  * debian/rules: Also disable tnef support on ppc64
  * debian/rules: Run the tests verbosely and sequentially to ease
    troubleshooting

 -- Laurent Bigonville <bigon@debian.org>  Mon, 06 Sep 2021 11:02:59 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: mail
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
+Uploaders: Daniel Kahn Gillmor <dkg@fifthhorseman.net>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                appstream-util <!nocheck>,
                gnutls-bin <!nocheck>,
@@ -20,27 +20,29 @@
                libgcr-3-dev (>= 3.10.1),
                libgee-0.8-dev (>= 0.8.5),
                libgirepository1.0-dev (>= 1.32.0),
-               libglib2.0-dev (>= 2.64),
+               libglib2.0-dev (>= 2.66),
                libgmime-3.0-dev (>= 3.2.4),
                libgsound-dev,
                libgspell-1-dev,
                libgoa-1.0-dev,
-               libgtk-3-dev (>= 3.24.7),
-               libhandy-1-dev (>= 0.90.0),
+               libgtk-3-dev (>= 3.24.23),
+               libhandy-1-dev (>= 1.5.90),
+               libicu-dev (>= 60),
                libjson-glib-dev (>= 1.0),
                libpeas-dev (>= 1.24.0),
                librsvg2-common <!nocheck>,
                firmware-linux-free | libmessaging-menu-dev (>= 12.10),
                libsecret-1-dev (>= 0.11),
                libsqlite3-dev (>= 3.24),
+               libstemmer-dev,
                libunwind-dev (>= 1.1) [amd64 arm64 armel armhf hppa i386 ia64 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el sh4],
-               libwebkit2gtk-4.0-dev (>= 2.26),
+               libwebkit2gtk-4.0-dev (>= 2.30),
                libxml2-dev (>= 2.7.8),
                libytnef0-dev (>= 1.9.3),
                localehelper <!nocheck>,
                locales <!nocheck>,
-               meson (>= 0.50),
-               valac (>= 0.48.6),
+               meson (>= 0.55),
+               valac (>= 0.48.11),
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Standards-Version: 4.5.0

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/vendor.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

# needed with the Ubuntu toolchain to avoid issues
export DEB_LDFLAGS_MAINT_STRIP := -Wl,-Bsymbolic-functions

ifeq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf hppa i386 ia64 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el sh4))
	BUILD_UNWIND += -Dlibunwind=disabled
endif
# see https://gitlab.gnome.org/GNOME/geary/issues/726:
ifneq (,$(filter $(DEB_HOST_ARCH), powerpc ppc64 s390x))
	DISABLE_YTNEF += -Dtnef=disabled
endif

%:
	dh $@ --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- $(BUILD_UNWIND) $(DISABLE_YTNEF) -Drevno=$(DEB_VENDOR)/$(DEB_VERSION) -Dprofile=release

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	localehelper LC_COLLATE=en_US.UTF-8 xvfb-run -a dh_auto_test --no-parallel -- --verbose
endif

override_dh_shlibdeps:
	dh_shlibdeps -l/usr/lib/$(DEB_HOST_MULTIARCH)/geary

override_dh_makeshlibs:
	dh_makeshlibs --no-scripts

## geary 43.0

=== meson_options.txt ===
#
# General build options
#

option(
  'profile',
  type: 'combo',
  choices: [
    'auto',
    'development',
    'beta',
    'release'
  ],
  description: 'Specifies the application type to be built'
)
option(
  'revno',
  type: 'string',
  description: 'Custom revision string (default extracted from "git describe")'
)
option(
  'iso_639_xml',
  type: 'string',
  value: '',
  description: 'Full path to the ISO 639 XML file.'
)
option(
  'iso_3166_xml',
  type: 'string',
  value: '',
  description: 'Full path to the ISO 3166 XML file.'
)
option(
  'valadoc',
  type: 'feature',
  value: 'auto',
  description: 'Build API documentation'
)

#
# Development options
#

option(
  'ref_tracking',
  type: 'feature',
  value: 'disabled',
  description: 'Enable Geary.BaseObject reference tracking'
)

#
# Optional features
#

option(
  'contractor',
  type: 'feature',
  value: 'disabled',
  description: 'Install an Elementary OS a contractor file'
)
option(
  'libunwind',
  type: 'feature',
  value: 'enabled',
  description: 'Use libunwind for back traces in problem reports.'
)
option(
  'tnef',
  type: 'feature',
  value: 'enabled',
  description: 'Support Microsoft-proprietary TNEF attachments.'
)

=== debian/changelog ===
geary (43.0-1) unstable; urgency=medium

  * New upstream release
  * Drop patches applied in new release
  * debian/control.in: Bump minimum glib, libhandy and meson
  * debian/control.in: Bump Standards-Version to 4.6.1

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 05 Oct 2022 18:50:15 -0400

geary (40.0-7) unstable; urgency=medium

  * Build-Depend on dbus-run-session & at-spi2-core to try to fix arm*
  * Revert setting NO_AT_BRIDGE=1

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 05 Sep 2022 22:35:19 -0400

geary (40.0-6) unstable; urgency=medium

  * debian/rules Set NO_AT_BRIDGE=1 to try to fix arm* build test error

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 05 Sep 2022 21:33:34 -0400

geary (40.0-5) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 05 Sep 2022 16:24:04 -0400

geary (40.0-4) experimental; urgency=medium

  * Cherry-pick patch to fix build with the GNOME Settings patch
  * Build-Depend on libmessaging-menu

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 29 Aug 2022 17:03:53 -0400

geary (40.0-3) experimental; urgency=medium

  * Cherry-pick 2 patches to build with webkit 4.1 and libsoup3
  * debian/control.in: Bump dependencies for the switch
  * Cherry-pick patch to adapt to new GNOME Settings app id
  * Cherry-pick patch to adapt to adwaita-icon-theme changes
  * Cherry-pick commit to fix tests with latest libxml2 (Closes: #1011907)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 29 Aug 2022 12:43:33 -0400

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,12 @@
 Section: mail
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Daniel Kahn Gillmor <dkg@fifthhorseman.net>, Laurent Bigonville <bigon@debian.org>
+Uploaders: Daniel Kahn Gillmor <dkg@fifthhorseman.net>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                appstream-util <!nocheck>,
+               at-spi2-core <!nocheck>,
                gnutls-bin <!nocheck>,
+               dbus <!nocheck>,
                desktop-file-utils <!nocheck>,
                dh-sequence-gnome,
                iso-codes,
@@ -20,32 +22,32 @@
                libgcr-3-dev (>= 3.10.1),
                libgee-0.8-dev (>= 0.8.5),
                libgirepository1.0-dev (>= 1.32.0),
-               libglib2.0-dev (>= 2.66),
+               libglib2.0-dev (>= 2.68),
                libgmime-3.0-dev (>= 3.2.4),
                libgsound-dev,
                libgspell-1-dev,
-               libgoa-1.0-dev,
+               libgoa-1.0-dev (>= 3.45),
                libgtk-3-dev (>= 3.24.23),
-               libhandy-1-dev (>= 1.5.90),
+               libhandy-1-dev (>= 1.6.0),
                libicu-dev (>= 60),
                libjson-glib-dev (>= 1.0),
                libpeas-dev (>= 1.24.0),
                librsvg2-common <!nocheck>,
-               firmware-linux-free | libmessaging-menu-dev (>= 12.10),
+               libmessaging-menu-dev (>= 12.10),
                libsecret-1-dev (>= 0.11),
                libsqlite3-dev (>= 3.24),
                libstemmer-dev,
                libunwind-dev (>= 1.1) [amd64 arm64 armel armhf hppa i386 ia64 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el sh4],
-               libwebkit2gtk-4.0-dev (>= 2.30),
+               libwebkit2gtk-4.1-dev,
                libxml2-dev (>= 2.7.8),
                libytnef0-dev (>= 1.9.3),
                localehelper <!nocheck>,
                locales <!nocheck>,
-               meson (>= 0.55),
+               meson (>= 0.59),
                valac (>= 0.48.11),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 X-Ubuntu-Use-Langpack: yes
 Homepage: https://wiki.gnome.org/Apps/Geary
 Vcs-Git: https://salsa.debian.org/gnome-team/geary.git

=== debian/rules ===
--- 
+++ 
@@ -18,14 +18,14 @@
 endif
 
 %:
-	dh $@ --buildsystem=meson
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(BUILD_UNWIND) $(DISABLE_YTNEF) -Drevno=$(DEB_VENDOR)/$(DEB_VERSION) -Dprofile=release
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	localehelper LC_COLLATE=en_US.UTF-8 xvfb-run -a dh_auto_test --no-parallel -- --verbose
+	localehelper LC_COLLATE=en_US.UTF-8 dbus-run-session -- xvfb-run -a dh_auto_test --no-parallel -- --verbose
 endif
 
 override_dh_shlibdeps:

## geary 44.1

=== debian/changelog ===
geary (44.1-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 05:39:14 +0000

geary (44.1-2build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:27:10 +0000

geary (44.1-2) unstable; urgency=medium

  * Stop using debian/control.in and dh-sequence-gnome
  * Drop erroneous nocheck from desktop-file-utils Build-Depends
    (Closes: #1063918)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 23 Feb 2024 12:00:15 -0500

geary (44.1-1) unstable; urgency=medium

  * New upstream release
  * debian/rules: Increase test timeout

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 18 Aug 2023 07:57:01 -0400

geary (44.0-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Use --timeout-multiplier instead of patching meson tests
  * Update standards version to 4.6.2, no changes needed

  [ Jarred Wilson ]
  * Add upstream metadata

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 28 Jul 2023 10:30:07 +0300

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,15 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: geary
 Section: mail
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Daniel Kahn Gillmor <dkg@fifthhorseman.net>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Daniel Kahn Gillmor <dkg@fifthhorseman.net>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                appstream-util <!nocheck>,
                at-spi2-core <!nocheck>,
                gnutls-bin <!nocheck>,
                dbus <!nocheck>,
-               desktop-file-utils <!nocheck>,
-               dh-sequence-gnome,
+               desktop-file-utils,
                iso-codes,
                itstool,
                libappstream-glib-dev (>= 0.7.10),
@@ -47,8 +43,7 @@
                valac (>= 0.48.11),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.6.1
-X-Ubuntu-Use-Langpack: yes
+Standards-Version: 4.6.2
 Homepage: https://wiki.gnome.org/Apps/Geary
 Vcs-Git: https://salsa.debian.org/gnome-team/geary.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/geary

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	localehelper LC_COLLATE=en_US.UTF-8 dbus-run-session -- xvfb-run -a dh_auto_test --no-parallel -- --verbose
+	localehelper LC_COLLATE=en_US.UTF-8 dbus-run-session -- xvfb-run -a dh_auto_test --no-parallel -- --verbose --timeout-multiplier 5
 endif
 
 override_dh_shlibdeps:

## geary 46.0

=== meson_options.txt ===
--- 
+++ 
@@ -70,3 +70,9 @@
   value: 'enabled',
   description: 'Support Microsoft-proprietary TNEF attachments.'
 )
+option(
+  'delayed_replay_queue',
+  type: 'boolean',
+  value: false,
+  description: 'Add delay in session opening (for debug purpose only)'
+)

=== subprojects/vala-unit/meson_options.txt ===
option(
  'install',
  type: 'boolean',
  value: true,
  description: 'Whether to install the library\'s files'
)
option(
  'valadoc',
  type: 'boolean',
  value: true,
  description: 'Whether to build the documentaton (requires valadoc).'
)

=== debian/changelog ===
geary (46.0-8) unstable; urgency=medium

  [ Simon McVittie ]
  * d/control: Remove unused libgirepository1.0-dev B-D
  * d/control: Standards-Version: 4.7.2 (no changes required)
  * d/control: Remove Rules-Requires-Root, unnecessary since trixie
  * d/rules: Use more robust xvfb-run options, notably -noreset (see #981201)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 12 Sep 2025 17:08:21 -0400

geary (46.0-7) unstable; urgency=medium

  * Team upload
  * Drop dependency on appstream-glib, use appstream instead

 -- Matthias Klumpp <mak@debian.org>  Sat, 03 May 2025 14:38:14 +0200

geary (46.0-6) unstable; urgency=medium

  * Cherry-pick a crash fix
  * Add lintian override for library-not-linked-against-libc for plugins
  * Revert "d/rules: Increase arbitrary test timeouts" since it didn't help
  * Run wrap-and-sort
  * Opt into Salsa CI

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 22 Jan 2025 09:57:15 -0500

geary (46.0-5) unstable; urgency=medium

  [ Arnaud Rebillout ]
  * d/rules: Increase arbitrary test timeouts

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 15 Nov 2024 08:00:12 -0500

geary (46.0-4) unstable; urgency=medium

  * Add Build-Depends: ca-certificates for build tests
    (Closes: #1064744, #1087421)
  * Update libunwind architectures

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 13 Nov 2024 08:20:06 -0500

geary (46.0-3) unstable; urgency=medium

  [ wuruilong ]
  * Enable libunwind on loong64 (Closes: #1073212)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 15 Jun 2024 08:38:43 -0400

geary (46.0-2) unstable; urgency=medium

  * Run dh_auto_test with LIBGL_ALWAYS_SOFTWARE=true to avoid zink stderr
    (Closes: #1072130)
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 01 Jun 2024 06:50:25 -0400

geary (46.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 20 May 2024 16:24:12 -0400

=== debian/control ===
Source: geary
Section: mail
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
           Jeremy Bícha <jbicha@ubuntu.com>,
           Laurent Bigonville <bigon@debian.org>
Build-Depends: debhelper-compat (= 13),
               appstream <!nocheck>,
               at-spi2-core <!nocheck>,
               ca-certificates <!nocheck>,
               dbus <!nocheck>,
               desktop-file-utils,
               gnutls-bin <!nocheck>,
               iso-codes,
               itstool,
               libenchant-2-dev (>= 2.1),
               libfolks-dev (>= 0.11),
               libgcr-3-dev (>= 3.10.1),
               libgee-0.8-dev (>= 0.8.5),
               libglib2.0-dev (>= 2.68),
               libgmime-3.0-dev (>= 3.2.4),
               libgoa-1.0-dev (>= 3.45),
               libgsound-dev,
               libgspell-1-dev,
               libgtk-3-dev (>= 3.24.23),
               libhandy-1-dev (>= 1.6.0),
               libicu-dev (>= 60),
               libjson-glib-dev (>= 1.0),
               libmessaging-menu-dev (>= 12.10),
               libpeas-dev (>= 1.24.0),
               librsvg2-common <!nocheck>,
               libsecret-1-dev (>= 0.11),
               libsqlite3-dev (>= 3.24),
               libstemmer-dev,
               libunwind-dev (>= 1.1) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa loong64 powerpc ppc64 sh4],
               libwebkit2gtk-4.1-dev,
               libxml2-dev (>= 2.7.8),
               libytnef0-dev (>= 1.9.3),
               localehelper <!nocheck>,
               locales <!nocheck>,
               meson (>= 0.59),
               valac (>= 0.48.11),
               xauth <!nocheck>,
               xvfb <!nocheck>
Standards-Version: 4.7.2
Homepage: https://wiki.gnome.org/Apps/Geary
Vcs-Git: https://salsa.debian.org/gnome-team/geary.git
Vcs-Browser: https://salsa.debian.org/gnome-team/geary

Package: geary
Architecture: any
Depends: gnome-keyring | kwalletmanager, ${misc:Depends}, ${shlibs:Depends}
Provides: imap-client, mail-reader
Description: lightweight email client designed for the GNOME desktop
 Geary is an email reader for GNOME designed to let you read your email
 quickly and effortlessly. Its interface is based on conversations, so you
 can easily read an entire discussion without having to click from message
 to message.

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # needed with the Ubuntu toolchain to avoid issues
 export DEB_LDFLAGS_MAINT_STRIP := -Wl,-Bsymbolic-functions
 
-ifeq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf hppa i386 ia64 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el sh4))
+ifeq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa loong64 powerpc ppc64 sh4))
 	BUILD_UNWIND += -Dlibunwind=disabled
 endif
 # see https://gitlab.gnome.org/GNOME/geary/issues/726:
@@ -25,7 +25,12 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	localehelper LC_COLLATE=en_US.UTF-8 dbus-run-session -- xvfb-run -a dh_auto_test --no-parallel -- --verbose --timeout-multiplier 5
+	LIBGL_ALWAYS_SOFTWARE=true \
+	localehelper LC_COLLATE=en_US.UTF-8 \
+	dbus-run-session -- \
+	xvfb-run -a -s "-screen 0 1024x768x24 -noreset" -e /proc/self/fd/2 \
+	dh_auto_test --no-parallel -- \
+		--verbose --timeout-multiplier 5
 endif
 
 override_dh_shlibdeps:

=== debian/tests/control ===
Tests: version
Depends: geary
Restrictions: superficial
